# Lambda

👨‍💻 A beautiful, customized, cross-platform shell written in Ruby

![Demo](./img/demo.gif)

## Installation

### Standalone

If you would like to install `Lambda` as a standalone script, you can download and run the `exe` file in `dist/`

### Bundler

Add this line to your application's Gemfile:

```ruby
gem 'lambda'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install lambda

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/safinsingh/lambda.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
