require_relative 'lib/lambda/version'

Gem::Specification.new do |spec|
    spec.name = 'lambda-sh'
    spec.version = Lambda::VERSION
    spec.authors = %w[safinsingh]
    spec.email = %w[safin.singh@gmail.com]

    spec.summary =
        'A beautiful, customized, and cross-platform shell wrapper written in Ruby'
    spec.description =
        'Created as a starter project by Safin Singh, Lambda is a beautiful, customized, and cross-platform shell wrapper written in Ruby.'
    spec.homepage = 'https://github.com/safinsingh/lambda'
    spec.license = 'MIT'
    spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

    # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

    spec.metadata['homepage_uri'] = spec.homepage
    spec.metadata['source_code_uri'] = 'https://github.com/safinsingh/lambda' 
    # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

    # Specify which files should be added to the gem when it is released.
    # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
    spec.files =
        Dir.chdir(File.expand_path('..', __FILE__)) do
            `git ls-files -z`.split("\x0").reject do |f|
                f.match(%r{^(test|spec|features)/})
            end
        end
    spec.bindir = 'exe'
    spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
    spec.require_paths = %w[lib]
end
